View Issue Details

IDProjectCategoryView StatusLast Update
0002433SymmetricDSBugpublic2016-04-28 10:01
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.24 
Target Version3.7.27Fixed in Version3.7.28 
Summary0002433: "TIMESTAMP(6) WITH TIME ZONE" is not supported by Data Loader Type of "Oracle bulk loader."
Description"TIMESTAMP(6) WITH TIME ZONE" is not supported by Data Loader Type of "Oracle bulk loader." Reported as working with the "default" data loader type.
TagsNo tags attached.

Activities

mmichalek

2015-11-30 14:39

administrator   ~0000735

Last edited: 2015-11-30 14:40

View 2 revisions

Original fix only worked when incoming format did not include timezone info (e.g. 2015-11-30 12:00:00.000000000') Updated fix should handle incoming values with timezone, as well as nanosecond precision.

To apply the fix, run the following statements, and then run the the DROP statements they generate. This will allow SymmetricDS to recreate the stored procedures and custom types.

select 'DROP TYPE ' || type_name || ';' from user_types where type_name like 'SYM_%'
select 'DROP PROCEDURE ' || object_name || ';' from user_procedures where object_name LIKE 'SYM_I_%' AND OBJECT_TYPE = 'PROCEDURE';

Related Changesets

SymmetricDS: 3.7 6d6224e7

2015-11-30 14:33:20

mmichalek

Details Diff
0002433: "TIMESTAMP(6) WITH TIME ZONE" is not supported by Data Loader
Type of "Oracle bulk loader."

0002433
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/resources/testOracleBulkWriter.xml Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/AbstractWriterTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

SymmetricDS: 3.8 d692e34e

2015-11-30 14:33:20

mmichalek

Details Diff
0002433: "TIMESTAMP(6) WITH TIME ZONE" is not supported by Data Loader
Type of "Oracle bulk loader."

0002433
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/resources/testOracleBulkWriter.xml Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/AbstractWriterTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

SymmetricDS: 3.7 fada6a48

2015-12-02 11:17:39

mmichalek

Details Diff
0002433: "TIMESTAMP(6) WITH TIME ZONE" is not supported by Data Loader
Type of "Oracle bulk loader."

0002433
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriterTest.java Diff File

SymmetricDS: 3.8 8dbd9719

2015-12-02 11:17:39

mmichalek

Details Diff
0002433: "TIMESTAMP(6) WITH TIME ZONE" is not supported by Data Loader
Type of "Oracle bulk loader."

0002433
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriterTest.java Diff File

Issue History

Date Modified Username Field Change
2015-11-02 13:14 mmichalek New Issue
2015-11-02 13:14 mmichalek Status new => assigned
2015-11-02 13:14 mmichalek Assigned To => mmichalek
2015-11-03 12:05 mmichalek Reproducibility have not tried => always
2015-11-04 08:55 mmichalek Status assigned => resolved
2015-11-04 11:19 mmichalek Status resolved => feedback
2015-11-04 11:19 mmichalek Resolution open => reopened
2015-11-04 11:20 mmichalek Resolution reopened => fixed
2015-11-04 11:20 mmichalek Fixed in Version => 3.7.27
2015-11-04 12:33 mmichalek Status feedback => resolved
2015-11-17 16:02 chenson Status resolved => closed
2015-11-30 14:32 mmichalek Status closed => feedback
2015-11-30 14:32 mmichalek Resolution fixed => reopened
2015-11-30 14:39 mmichalek Note Added: 0000735
2015-11-30 14:39 mmichalek Status feedback => assigned
2015-11-30 14:40 mmichalek Note Edited: 0000735 View Revisions
2015-11-30 14:41 mmichalek Status assigned => resolved
2015-11-30 14:41 mmichalek Resolution reopened => fixed
2015-11-30 14:41 mmichalek Fixed in Version 3.7.27 => 3.7.28
2015-11-30 15:00 mmichalek Changeset attached => SymmetricDS 3.7 6d6224e7
2015-12-02 12:00 mmichalek Changeset attached => SymmetricDS 3.7 fada6a48
2016-01-03 16:44 chenson Status resolved => closed
2016-04-28 10:01 mmichalek Changeset attached => SymmetricDS 3.8 8dbd9719
2016-04-28 10:01 mmichalek Changeset attached => SymmetricDS 3.8 d692e34e